.table-wrapper {
  border: 1px solid var(--base-70);
  border-radius: 16px;
  overflow: hidden;
  box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.11);
}

.table-header {
  font-size: 1em;
}

.title-header {
  background-color: var(--base-95);
}

.language-names {
  color: var(--base-30) !important;

  >mat-icon {
    vertical-align: bottom;
  }
}

.segment-count {
  color: var(--base-10);
  font-weight: 400;
}

:host .text-search-field::ng-deep {
  max-width: 520px;
  width: 100%;
  margin-right: 1rem;
  font-size: 14px;

  mat-form-field {
    width: 100%;
    border: 0.5px solid #DEE0E3;
    border-radius: 4px;
  }

  input {
    font-weight: 400;
  }

  input,
  input::placeholder,
  mat-icon {
    color: var(--base-40);
  }

  .mat-mdc-form-field-wrapper {
    padding-bottom: 0;
    margin: 0;
  }

  .mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__leading,
  .mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__trailing {
    border: none;
  }

  .mat-mdc-form-field-prefix {
    top: 8px;

    mat-icon {
      line-height: 0.8em;
    }
  }
}

.filter-button {
  button {
    font-weight: 400;
    border: 0.5px solid var(--base-70);
    border-radius: 4px;
    padding: 6px 12px;

    >mat-icon {
      vertical-align: bottom;
    }
  }

  &.active {
    color: var(--primary-accent);

    button {
      font-weight: 600;
    }
  }
}

.language-filter {
  font-size: 16px;
  font-weight: 600;
}

.mat-mdc-cell,
.mat-mdc-header-cell,
.mat-mdc-no-data-row {
  border-color: var(--base-70) !important;
}

.mat-column-status {
  width: 5%;
}

.mat-column-source {
  border-right: 1px solid var(--base-70);

  & .details {
    margin-right: 1rem;
  }
}

.mat-column-select {
  width: 32px;
}

.mat-mdc-header-cell.mat-column-filters {
  padding: 0;
}

.mat-cell.mat-column-select {
  padding: 1rem 0 1rem 1rem;
  vertical-align: top;
}

.mat-mdc-row {
  border-top: 2px solid var(--base-70);
  border-bottom: 2px solid var(--base-70);
}

.mat-mdc-row:hover:not(.active-row) {
  background-color: var(--base-95);
}

.mat-mdc-table .active-row.mat-mdc-row:hover,
.mat-mdc-table .active-row.mat-mdc-row {
  background-color: #F0F9FF;
}

.filters {
  padding: 1.5em;
  min-height: 88px;
}

.selection-info {
  margin: 0 -1.5em;
  padding: 1em;
  background-color: var(--primary-accent);
  color: var(--base-100);

  .mdc-button {
    font-weight: 400;
    color: var(--base-100);
  }
}

.suggestion-text {
  padding: 0.7rem 0.5rem 0.2rem 0rem;
}

.details {
  min-height: 36px;
  border-top: 1px solid var(--base-70);
  color: var(--gradient);
}

.details-seo {
  min-height: 69px;
}

.button-box {
  flex: 0 0 auto;
}

.accepted {
  color: var(--success-dark);
}

.not-accepted {
  color: var(--base-70);
}

button:hover {
  .not-accepted {
    color: var(--success-dark);
  }
}

.save.mat-mdc-button:not(:disabled) {
  color: var(--success-dark);
}

.chip-text {
  font-weight: normal;
}

.mat-chip.mat-standard-chip {
  background-color: var(--base-95);
  padding-left: 0.5em;
  padding-right: 0.75em;
  border: 0.5px solid var(--base-70),
}

.mat-chip .mat-chip-remove {
  margin-left: 0;
  margin-right: 0.5em;
  color: var(--base-40);
  opacity: 1;
}

.no-results {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  mat-icon {
    font-size: 50px;
    height: 50px;
    width: 50px;
    color: var(--base-70);
  }

  ::ng-deep a {
    color: var(--accent);
  }
}

.tag-error {
  font-size: 14px;
  padding-left: 1em;
  padding-right: 1em;

  mat-icon {
    color: var(--error-dark);
    vertical-align: top;
  }

  &:last-child {
    padding-bottom: 0.5em;
  }
}

.clear-btn {
  height: 1.5em !important;
  width: 1.5em !important;
  vertical-align: bottom;
}

.unused-tag-container {
  display: flex;
}

.radio-group {
  display: flex;
  flex-direction: column;
  margin: 0.5rem 1rem;
  align-items: flex-start;
}

.filter-label {
  margin: 1rem 1rem 0 1rem;
}


.mat-mdc-button>.mat-icon {
  height: fit-content;
  vertical-align: top;
}

::ng-deep .translation-language-menu {
  max-height: 350px !important;
}

:host .table-wrapper ::ng-deep {

  .tilde-mt-suggestion-component {
    .suggestion.show-tags:focus-visible {
      outline: none;
    }

    .suggestion-text-limit {
      text-align: right;
      color: var(--base-40);
      font-size: 12px;
      margin-top: 2px;
    }

    .suggestion.show-tags {
      font-size: 14px;
    }
  }

  .mat-mdc-form-field-subscript-wrapper {
    position: absolute;
    box-sizing: border-box;
    width: unset;
    overflow: hidden;
  }

  .mat-mdc-form-field-icon-prefix>.mat-icon {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    padding-right: 0 !important;
  }

  .mat-mdc-text-field-wrapper.mdc-text-field--outlined .mat-mdc-form-field-infix {
    padding: .61em 0 .61em !important;
    border-top: 0;
  }

  .mat-mdc-outlined-button.mat-mdc-button-base {
    height: 39px;
  }

  .mat-mdc-form-field-infix {
    min-height: unset;
  }
}

.flex-row-space-between {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.flex-row {
  display: flex;
  flex-direction: row;
}

.notification-content {
  width: 100%;
}

.pretranslation-buttons {
  display: flex;
  flex-direction: row;
  gap: 12px; 
  align-items: center;
}

.warning-status-container {
  background-color: var(--warning-light);
  border: 0.5px solid var(--base-70) !important;
  padding: 8px 12px;
  align-items: center;
  margin-bottom: 2rem;
  font-size: 16px;

  p {
    margin-bottom: 0px;
  }

  .info-icon {
    color: var(--warning-dark)
  }
}

.notification-title {
  font-weight: 500;
}

.progress-container {
  flex-direction: column;
  justify-content: unset;
  gap: 0.75rem;
  margin-bottom: 2rem;
  border-radius: 4px;
  padding: 8px 12px;
  background-color: #e0f1ff;
  border: 0.5px solid var(--base-70) !important;

  p {
    margin-bottom: 0px;
  }

  mat-icon {
    color: var(--primary-accent)
  }

  mat-progress-bar {
    width: 150px;
  }
}

.pretranslation-progress {
  p {
    margin-top: 0.25rem;
    font-size: 0.75rem;
    letter-spacing: 1px;
    font-weight: bold;
  }
}

.retry-pretranslation-btn {
  background-color: var(--warning-dark);
  color: var(--white) !important;
  margin-left: 2rem;
}